<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html">

<h:head>
	<title>Cadastrar Usuário</title>
</h:head>

<h:body>
	<div id="divCenter">
		<h:outputText value="Cadastrar usuário"
			rendered="#{usuarioMBean.obj.login == null}"></h:outputText>
		<h:outputText value="Atualizar usuário"
			rendered="#{usuarioMBean.obj.login != null}"></h:outputText>
		<h:form id="formUsuario">
			<div>
				<br />
				<h:outputLabel for="loginUsuario">Login *: </h:outputLabel>
				<h:inputText id="loginUsuario" value="#{usuarioMBean.obj.login}" required="true" requiredMessage="Login é obrigatório"></h:inputText>
				<br />
				<h:message for="loginUsuario"></h:message>
				<br />
				<h:outputLabel for="senhaUsuario">Senha *: </h:outputLabel>
				<h:inputSecret id="senhaUsuario" value="#{usuarioMBean.obj.senha}" required="true" requiredMessage="Senha é obrigatório"></h:inputSecret>
				<br /> 
				<h:message for="senhaUsuario"></h:message>
				<br />
			</div>

			<h:button outcome="list" value="Ir para a Listagem dos Usuários"></h:button>
			<h:commandButton action="#{usuarioMBean.atualizar}" value="Atualizar" rendered="#{usuarioMBean.obj.login != null}"></h:commandButton>
			<h:commandButton action="#{usuarioMBean.salvar}" value="Cadastrar" rendered="#{usuarioMBean.obj.login == null}"></h:commandButton>
		</h:form>
	</div>


	<style type="text/css">
* {
	margin: 0;
	padding: 0;
	font-family: Tahoma;
	font-size: 9pt;
}

#divCenter {
	background-color: #e1e1e1;
	width: 400px;
	height: 300px;
	left: 50%;
	margin: -130px 0 0 -210px;
	padding: 10px;
	position: absolute;
	top: 50%;
}
</style>
</h:body>

</html>